org.eclipse.incquery.patternlanguage.services

## Class PatternLanguageGrammarAccess.ParameterRefElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.incquery.patternlanguage.services.PatternLanguageGrammarAccess.ParameterRefElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    PatternLanguageGrammarAccess

      public class PatternLanguageGrammarAccess.ParameterRefElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterRefElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Keyword` | `getColonKeyword_3_0()`
    `org.eclipse.xtext.Group` | `getGroup_3()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getNameAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_1_0()`
    `org.eclipse.xtext.Action` | `getParameterRefAction_0()`
    `org.eclipse.xtext.Assignment` | `getReferredParamAssignment_2()`
    `org.eclipse.xtext.CrossReference` | `getReferredParamVariableCrossReference_2_0()`
    `org.eclipse.xtext.RuleCall` | `getReferredParamVariableIDTerminalRuleCall_2_0_1()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Assignment` | `getTypeAssignment_3_1()`
    `org.eclipse.xtext.RuleCall` | `getTypeTypeParserRuleCall_3_1_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterRefElements

          public ParameterRefElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getParameterRefAction_0

          public org.eclipse.xtext.Action getParameterRefAction_0()

    - #### getNameAssignment_1

          public org.eclipse.xtext.Assignment getNameAssignment_1()

    - #### getNameIDTerminalRuleCall_1_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_1_0()

    - #### getReferredParamAssignment_2

          public org.eclipse.xtext.Assignment getReferredParamAssignment_2()

    - #### getReferredParamVariableCrossReference_2_0

          public org.eclipse.xtext.CrossReference getReferredParamVariableCrossReference_2_0()

    - #### getReferredParamVariableIDTerminalRuleCall_2_0_1

          public org.eclipse.xtext.RuleCall getReferredParamVariableIDTerminalRuleCall_2_0_1()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getColonKeyword_3_0

          public org.eclipse.xtext.Keyword getColonKeyword_3_0()

    - #### getTypeAssignment_3_1

          public org.eclipse.xtext.Assignment getTypeAssignment_3_1()

    - #### getTypeTypeParserRuleCall_3_1_0

          public org.eclipse.xtext.RuleCall getTypeTypeParserRuleCall_3_1_0()